/*
  This file contains the code for displaying and hiding the dialogs.
 */

#include <iostream.h> // Debugging
#include <xmms/plugin.h>

#include "built_iface.h"
#include "sid_plugin.hh"

#include "../pixmaps/mos6581.xpm" // Hmm? Would this work? =)
// Damn, it doesn't. How the heck I can tell 

GtkWidget *about_popup;
GtkWidget *settings_dialog;

gboolean about_shown;
gboolean settings_shown;


void general_sidplug_ui_init(void)
{
  add_pixmap_directory ("pixmaps");
}

void init_sidplug_dialogs(void)
{
  about_popup = create_about_popup();
  settings_dialog = create_settings_dialog ();
  gtk_widget_hide(about_popup); // Don't show these yet =)
  gtk_widget_hide(settings_dialog);
  about_shown = settings_shown = FALSE;
}

void sidplug_show_about(void)
{
  if(!about_shown) {
    gtk_widget_show(about_popup);
    about_shown = TRUE;
  }
}


void sidplug_configdialog(void)
{
  if(!settings_shown) {
    // sidplay_to_internal();
    internal_to_config();
    gtk_widget_show(settings_dialog);
    settings_shown = TRUE;
  }
#ifdef DEBUG
  //  cout << "SID: Config dialog not yet seen..." << endl;
#endif
}
